none
Will previous programs that worked with the old kinect (on windows) also work with the new kinect, with the official MS SDK installed? RRS feed

  • Question

  • I've read this thread, and would like an update (the Thinker?). Does it work or not? And furthermore, with the new SDK, can I still run previous programs that would run on the old kinect with openNI drivers? 

     

     

    Sunday, February 5, 2012 5:54 AM

All replies

  • The 1.0 SDK supports the XBox Kinect for development purposes. If you have written a program with the SDK or previous versions of the SDK, you may need to re-compile, but our runtime and drivers work with both versions of the Kinect HW. There is no compatibility with openNI.
    Sunday, February 5, 2012 6:54 PM
  • I had to change all the initialization code. They changed how Kinects present themselves to the SDK, so you can no longer just "use" the Kinect, you need to specify which to use. So to answer your question, fair chances are, no, existing apps will not work.
    • Edited by ChrisCicc Tuesday, February 7, 2012 8:06 AM
    • Proposed as answer by ChrisCicc Tuesday, February 7, 2012 4:23 PM
    Tuesday, February 7, 2012 8:06 AM